/* Copyright (c) 2006-2010, Linden Research, Inc.
 * 
 * LLQtWebKit Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in GPL-license.txt in this distribution, or online at
 * http://secondlifegrid.net/technology-programs/license-virtual-world/viewerlicensing/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlifegrid.net/technology-programs/license-virtual-world/viewerlicensing/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 */

#ifndef NETWORKCOOKIEJAR_H
#define NETWORKCOOKIEJAR_H

#include <qnetworkcookie.h>

class NetworkCookieJarPrivate;
class NetworkCookieJar : public QNetworkCookieJar {
    Q_OBJECT
public:
    NetworkCookieJar(QObject *parent = 0);
    ~NetworkCookieJar();

    virtual QList<QNetworkCookie> cookiesForUrl(const QUrl & url) const;
    virtual bool setCookiesFromUrl(const QList<QNetworkCookie> &cookieList, const QUrl &url);

protected:
    QByteArray saveState() const;
    bool restoreState(const QByteArray &state);
    void endSession();

    QList<QNetworkCookie> allCookies() const;
    void clearCookies();
    void setCookies(const QList<QNetworkCookie> &cookieList);
    void setAllCookies(const QList<QNetworkCookie> &cookieList);
	void removeCookie(const QNetworkCookie &cookie);
	void dump();
    void setSecondLevelDomains(const QStringList &secondLevelDomains);
	
	virtual void onCookieSetFromURL(const QNetworkCookie &cookie, const QUrl &url, bool already_dead);

private:
    NetworkCookieJarPrivate *d;
};

#endif

